Skip to main content
cURL
curl --request GET \
  --url https://api.yapily.com/hosted/vrp-requests/commercial/{requestId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": {
    "requestType": "vrp",
    "requestId": "00000000-0000-0000-0000-000000000000",
    "applicationId": "00000000-0000-0000-0000-000000000000",
    "userId": "00000000-0000-0000-0000-000000000000",
    "applicationUserId": "any",
    "tppRedirectUrl": "https://parameter-viewer.yapily.com/",
    "createdAt": "2026-01-01T00:00:00Z",
    "institutionIdentifiers": {
      "institutionId": "mock-sandbox",
      "institutionCountryCode": "GB"
    },
    "status": {
      "currentStatus": "...",
      "statusUpdatedAt": "2026-01-01T00:00:00Z",
      "tppNotified": false,
      "qrScanned": false,
      "errorCode": null
    },
    "result": {
      "consentId": "00000000-0000-0000-0000-000000000000",
      "consentToken": "..."
    }
  }
}

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.

Path Parameters

requestId
string
required

Unique Identifier of the Commercial VRP request

Response

OK

data
object